Overview | Package | Class | Tree | Deprecated | Index | Help
| TIBCO Enterprise Message Service
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tibco.tibjms.admin
Class AdminPermissions

    java.lang.Object
      com.tibco.tibjms.admin.AdminPermissions

    public class AdminPermissions

extends java.lang.Object

This class represents a set of positive and negative administrative permissions. Negative permissions are only returned when the entry is returned from the server. In grant() and revoke() methods only positive permissions are used to specify the set of permissions which should be granted or revoked. Applications normally use objects returned as a result of a server query to obtain administrative permissions. If any permissions have to be changed, a new AdminPermission object should be created.

Field Summary
`static long` | `ALL`
`static long` | `CHANGE_ACL`
`static long` | `CHANGE_ADMIN_ACL`
`static long` | `CHANGE_BRIDGE`
`static long` | `CHANGE_CHANNEL`
`static long` | `CHANGE_CONNECTION`
`static long` | `CHANGE_DURABLE`
`static long` | `CHANGE_FACTORY`
`static long` | `CHANGE_GROUP`
`static long` | `CHANGE_MESSAGE`
`static long` | `CHANGE_ROUTE`
`static long` | `CHANGE_SERVER`
`static long` | `CHANGE_USER`
`static long` | `CREATE_DESTINATION`
`static long` | `DELETE_DESTINATION`
`static long` | `MODIFY_DESTINATION`
`static long` | `PROTECT1`
`static long` | `PROTECT2`
`static long` | `PROTECT3`
`static long` | `PROTECT4`
`static long` | `PURGE_DESTINATION`
`static long` | `PURGE_DURABLE`
`static long` | `SHUTDOWN_SERVER`
`static long` | `VIEW_ACL`
`static long` | `VIEW_ADMIN_ACL`
`static long` | `VIEW_ALL`
`static long` | `VIEW_BRIDGE`
`static long` | `VIEW_CHANNEL`
`static long` | `VIEW_CONNECTION`
`static long` | `VIEW_DESTINATION`
`static long` | `VIEW_DURABLE`
`static long` | `VIEW_FACTORY`
`static long` | `VIEW_GROUP`
`static long` | `VIEW_MESSAGE`
`static long` | `VIEW_ROUTE`
`static long` | `VIEW_SERVER`
`static long` | `VIEW_USER`

Constructor Summary
`AdminPermissions()` Default constructor which creates empty set of permissions.
`AdminPermissions(long positive_perms)` Creates a given set of positive permissions.
`AdminPermissions(long positive_perms, long negative_perms)` Creates a given sets of positive and negative permissions.

Method Summary
`boolean` | `hasInheritedPermission(long perm)` Determine if the given permission is present in the Inherited Permissions.
`boolean` | `hasNegativePermission(long perm)` Indicates whether or not given negative permissions are set.
`boolean` | `hasPositivePermission(long perm)` Indicates whether or not given positive permissions are set.
`boolean` | `isEmpty()` Indicates whether or not this object has no negative or positive permissions set.
`void` | `setPermission(long perm, boolean grant)` Set or unset positive permissions.
`java.lang.String` | `toString()` Generate a string representation of this AdminPermissions.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### VIEW_FACTORY

    public static final long VIEW_FACTORY

See Also:
  Constant Field Values

### CHANGE_FACTORY

    public static final long CHANGE_FACTORY

See Also:
  Constant Field Values

### VIEW_ROUTE

    public static final long VIEW_ROUTE

See Also:
  Constant Field Values

### CHANGE_ROUTE

    public static final long CHANGE_ROUTE

See Also:
  Constant Field Values

### VIEW_CONNECTION

    public static final long VIEW_CONNECTION

See Also:
  Constant Field Values

### CHANGE_CONNECTION

    public static final long CHANGE_CONNECTION

See Also:
  Constant Field Values

### VIEW_DURABLE

    public static final long VIEW_DURABLE

See Also:
  Constant Field Values

### CHANGE_DURABLE

    public static final long CHANGE_DURABLE

See Also:
  Constant Field Values

### PURGE_DURABLE

    public static final long PURGE_DURABLE

See Also:
  Constant Field Values

### VIEW_USER

    public static final long VIEW_USER

See Also:
  Constant Field Values

### CHANGE_USER

    public static final long CHANGE_USER

See Also:
  Constant Field Values

### VIEW_GROUP

    public static final long VIEW_GROUP

See Also:
  Constant Field Values

### CHANGE_GROUP

    public static final long CHANGE_GROUP

See Also:
  Constant Field Values

### VIEW_ACL

    public static final long VIEW_ACL

See Also:
  Constant Field Values

### CHANGE_ACL

    public static final long CHANGE_ACL

See Also:
  Constant Field Values

### VIEW_DESTINATION

    public static final long VIEW_DESTINATION

See Also:
  Constant Field Values

### CREATE_DESTINATION

    public static final long CREATE_DESTINATION

See Also:
  Constant Field Values

### DELETE_DESTINATION

    public static final long DELETE_DESTINATION

See Also:
  Constant Field Values

### MODIFY_DESTINATION

    public static final long MODIFY_DESTINATION

See Also:
  Constant Field Values

### PURGE_DESTINATION

    public static final long PURGE_DESTINATION

See Also:
  Constant Field Values

### VIEW_MESSAGE

    public static final long VIEW_MESSAGE

See Also:
  Constant Field Values

### CHANGE_MESSAGE

    public static final long CHANGE_MESSAGE

See Also:
  Constant Field Values

### VIEW_SERVER

    public static final long VIEW_SERVER

See Also:
  Constant Field Values

### CHANGE_SERVER

    public static final long CHANGE_SERVER

See Also:
  Constant Field Values

### SHUTDOWN_SERVER

    public static final long SHUTDOWN_SERVER

See Also:
  Constant Field Values

### VIEW_ADMIN_ACL

    public static final long VIEW_ADMIN_ACL

See Also:
  Constant Field Values

### CHANGE_ADMIN_ACL

    public static final long CHANGE_ADMIN_ACL

See Also:
  Constant Field Values

### VIEW_BRIDGE

    public static final long VIEW_BRIDGE

See Also:
  Constant Field Values

### CHANGE_BRIDGE

    public static final long CHANGE_BRIDGE

See Also:
  Constant Field Values

### VIEW_CHANNEL

    public static final long VIEW_CHANNEL

See Also:
  Constant Field Values

### CHANGE_CHANNEL

    public static final long CHANGE_CHANNEL

See Also:
  Constant Field Values

### PROTECT1

    public static final long PROTECT1

See Also:
  Constant Field Values

### PROTECT2

    public static final long PROTECT2

See Also:
  Constant Field Values

### PROTECT3

    public static final long PROTECT3

See Also:
  Constant Field Values

### PROTECT4

    public static final long PROTECT4

See Also:
  Constant Field Values

### VIEW_ALL

    public static final long VIEW_ALL

See Also:
  Constant Field Values

### ALL

    public static final long ALL

See Also:
  Constant Field Values

Constructor Detail

### AdminPermissions

    public AdminPermissions()

  Default constructor which creates empty set of permissions.

### AdminPermissions

    public AdminPermissions(long positive_perms)

  Creates a given set of positive permissions.

  Parameters:
    `positive_perms` - the administrative permissions.

### AdminPermissions

    public AdminPermissions(long positive_perms,
                            long negative_perms)

  Creates a given sets of positive and negative permissions.

  Parameters:
    `positive_perms` - the positive permissions.
    `negative_perms` - the negative permissions.

Method Detail

### isEmpty

    public boolean isEmpty()

  Indicates whether or not this object has no negative or positive permissions set.

  Returns:
    a boolean to indicate whether or not both the positive and negative permissions are not set.

### hasPositivePermission

    public boolean hasPositivePermission(long perm)

  Indicates whether or not given positive permissions are set.

  Parameters:
    `perm` - the positive permissions to be checked.
  Returns:
    boolean to indicate whether or not the positive permissions are set.

### setPermission

    public void setPermission(long perm,
                              boolean grant)

  Set or unset positive permissions.

  Parameters:
    `perm` - positive permissions to be granted or revoked.
    `grant` - true if the permissions are to be granted and false if the permissions are to be revoked.

### hasNegativePermission

    public boolean hasNegativePermission(long perm)

  Indicates whether or not given negative permissions are set.

  Parameters:
    `perm` - the negative permissions to be checked.
  Returns:
    boolean to indicate whether or not the negative permissions are set.

### hasInheritedPermission

    public boolean hasInheritedPermission(long perm)

  Determine if the given permission is present in the Inherited Permissions.

  Parameters:
    `perm` - permissions
  Returns:
    true if given permissions are all present in inherited permissions

### toString

    public java.lang.String toString()

  Generate a string representation of this AdminPermissions.

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    String representation of this AdminPermissions.

Overview | Package | Class | Tree | Deprecated | Index | Help
| TIBCO Enterprise Message Service
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © TIBCO Software Inc. All rights reserved